Create
curl --request POST \
--url https://api.eka.care/abdm/na/v1/registration/mobile/create-phr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"abha_address": "<string>",
"profile": {
"day_of_birth": 1,
"first_name": "Shyam",
"gender": "M",
"month_of_birth": 1,
"pincode": "110001",
"year_of_birth": 1990,
"address": "123, ABC Street",
"last_name": "Singh",
"middle_name": "Kumar"
},
"txn_id": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/na/v1/registration/mobile/create-phr"
payload = {
"abha_address": "<string>",
"profile": {
"day_of_birth": 1,
"first_name": "Shyam",
"gender": "M",
"month_of_birth": 1,
"pincode": "110001",
"year_of_birth": 1990,
"address": "123, ABC Street",
"last_name": "Singh",
"middle_name": "Kumar"
},
"txn_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
abha_address: '<string>',
profile: {
day_of_birth: 1,
first_name: 'Shyam',
gender: 'M',
month_of_birth: 1,
pincode: '110001',
year_of_birth: 1990,
address: '123, ABC Street',
last_name: 'Singh',
middle_name: 'Kumar'
},
txn_id: '<string>'
})
};
fetch('https://api.eka.care/abdm/na/v1/registration/mobile/create-phr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eka": {
"min_token": "<string>",
"oid": "<string>",
"uuid": "<string>"
},
"profile": {
"abha_address": "shyam@abdm",
"abha_addresses": [
"<string>"
],
"abha_number": "12-3456-7856-8912",
"address": "<string>",
"day_of_birth": 123,
"first_name": "<string>",
"gender": "M",
"kyc_verified": true,
"last_name": "<string>",
"middle_name": "<string>",
"mobile": "<string>",
"month_of_birth": 123,
"pincode": "<string>",
"year_of_birth": 123
},
"refresh_token": "<string>",
"skip_state": "abha_end",
"success": true,
"token": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Mobile
Create
This API is used to create a new ABHA address for the user.
POST
/
abdm
/
na
/
v1
/
registration
/
mobile
/
create-phr
Create
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
application/json
Response
OK
Eka IDs, will be present if SkipState is abha_end
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Refresh token of the user, issued by abdm
Available options:
abha_end, confirm_mobile_otp, abha_select, abha_create Indicates whether the API response is successful
Abha token of the user, issued by abdm
Was this page helpful?
⌘I

